Index: /branches/2.2/plugins/LocalFilesEditor/admin.php
===================================================================
--- /branches/2.2/plugins/LocalFilesEditor/admin.php	(revision 10309)
+++ /branches/2.2/plugins/LocalFilesEditor/admin.php	(revision 10310)
@@ -75,11 +75,4 @@
 $newfile_page = isset($_GET['newfile']) ? true : false;
 
-// Editarea options
-$editarea_options = array(
-  'language' => substr($user['language'], 0, 2),
-  'start_highlight' => true,
-  'allow_toggle' => false,
-  'toolbar' => 'search,fullscreen, |,select_font, |, undo, redo, change_smooth_selection, highlight, reset_highlight, |, help');
-
 // Edit selected file for CSS, template and language
 if ((isset($_POST['edit'])) and !is_numeric($_POST['file_to_edit']))
@@ -139,5 +132,5 @@
                 . 'show_default.php?file=include/config_default.inc.php',
               'FILE' => 'config_default.inc.php')));
-    $editarea_options['syntax'] = 'php';
+    $codemirror_mode = 'application/x-httpd-php';
     break;
 
@@ -160,5 +153,5 @@
         'OPTIONS' => $options,
         'SELECTED' => $selected));
-    $editarea_options['syntax'] = 'css';
+    $codemirror_mode = 'text/css';
     break;
 
@@ -239,5 +232,5 @@
       'NEW_FILE_CLASS' => empty($edited_file) ? '' : 'top_right'));
 
-    $editarea_options['syntax'] = 'html';
+    $codemirror_mode = 'text/html';
     break;
 
@@ -267,5 +260,5 @@
         'OPTIONS' => $options,
         'SELECTED' => $selected));
-    $editarea_options['syntax'] = 'php';
+    $codemirror_mode = 'application/x-httpd-php';
     break;
     
@@ -274,5 +267,5 @@
     $content_file = file_exists($edited_file) ?
       file_get_contents($edited_file) : $new_file['plug'];
-    $editarea_options['syntax'] = 'php';
+    $codemirror_mode = 'application/x-httpd-php';
     break;
 }
@@ -368,6 +361,8 @@
   'F_ACTION' => PHPWG_ROOT_PATH.'admin.php?page=plugin-LocalFilesEditor-'.$page['tab'],
   'LOCALEDIT_PATH' => LOCALEDIT_PATH,
-  'LOAD_EDITAREA' => isset($conf['LocalFilesEditor']) ? $conf['LocalFilesEditor'] : 'off',
-  'EDITAREA_OPTIONS' => $editarea_options));
+  'LOAD_CODEMIRROR' => isset($conf['LocalFilesEditor']) ? $conf['LocalFilesEditor'] : 'off',
+  'CODEMIRROR_MODE' => @$codemirror_mode
+  )
+);
 
 $template->assign_var_from_handle('ADMIN_CONTENT', 'plugin_admin_content');
Index: /branches/2.2/plugins/LocalFilesEditor/admin.tpl
===================================================================
--- /branches/2.2/plugins/LocalFilesEditor/admin.tpl	(revision 10309)
+++ /branches/2.2/plugins/LocalFilesEditor/admin.tpl	(revision 10310)
@@ -1,27 +1,36 @@
-{html_head}<script type="text/javascript" src="{$ROOT_URL}plugins/LocalFilesEditor/editarea/edit_area_full.js"></script>{/html_head}
+{combine_script id="codemirror" path="plugins/LocalFilesEditor/codemirror/lib/codemirror.js"}
+{combine_script id="codemirror.xml" require="codemirror" path="plugins/LocalFilesEditor/codemirror/mode/xml/xml.js"}
+{combine_script id="codemirror.javascript" require="codemirror" path="plugins/LocalFilesEditor/codemirror/mode/javascript/javascript.js"}
+{combine_script id="codemirror.css" require="codemirror" path="plugins/LocalFilesEditor/codemirror/mode/css/css.js"}
+{combine_script id="codemirror.clike" require="codemirror" path="plugins/LocalFilesEditor/codemirror/mode/clike/clike.js"}
+{combine_script id="codemirror.htmlmixed" require="codemirror.xml,codemirror.javascript,codemirror.css" path="plugins/LocalFilesEditor/codemirror/mode/htmlmixed/htmlmixed.js"}
+{combine_script id="codemirror.php" require="codemirror.xml,codemirror.javascript,codemirror.css,codemirror.clike" path="plugins/LocalFilesEditor/codemirror/mode/php/php.js"}
+
+{combine_css path="plugins/LocalFilesEditor/codemirror/lib/codemirror.css"}
+{combine_css path="plugins/LocalFilesEditor/codemirror/mode/xml/xml.css"}
+{combine_css path="plugins/LocalFilesEditor/codemirror/mode/javascript/javascript.css"}
+{combine_css path="plugins/LocalFilesEditor/codemirror/mode/css/css.css"}
+{combine_css path="plugins/LocalFilesEditor/codemirror/mode/clike/clike.css"}
 {combine_css path="plugins/LocalFilesEditor/locfiledit.css"}
+
 {footer_script}
-function loadEditarea() {ldelim} 
-  editAreaLoader.init({ldelim}
-    id: "text"
-    {foreach from=$EDITAREA_OPTIONS key=option item=value}
-    , {$option}: {$value|editarea_quote}
-    {/foreach}
+function loadCodemirror() {ldelim}
+  editor = CodeMirror.fromTextArea(document.getElementById("text"), {ldelim}
+    matchBrackets: true,
+    mode: "{$CODEMIRROR_MODE}",
+    tabMode: "shift"
   });
-  jQuery("#showedit").hide();
-  jQuery("#hideedit").show();
+  jQuery("#showedit, #hideedit").toggle();
   jQuery.post("plugins/LocalFilesEditor/update_config.php", {ldelim} editarea: "on"});
 }
 
-function unloadEditarea() {ldelim} 
-  editAreaLoader.delete_instance("text");
-  jQuery("#hideedit").hide();
-  jQuery("#showedit").show();
+function unloadCodemirror() {ldelim} 
+  editor.toTextArea();
+  jQuery("#showedit, #hideedit").toggle();
   jQuery.post("plugins/LocalFilesEditor/update_config.php", {ldelim} editarea: "off"});
 }
 
-jQuery("#editarea_buttons").show();
-{if $LOAD_EDITAREA == 'on'}
-if (document.getElementById("text") != null) loadEditarea();
+{if $LOAD_CODEMIRROR == 'on'}
+if (document.getElementById("text") != null) loadCodemirror();
 {/if}
 {/footer_script}
@@ -67,8 +76,9 @@
 {/if}
 
+<div style="overflow:auto;"> {* top bar buttons *}
 {if !empty($show_default)}
 {foreach from=$show_default item=file name=default_loop}
 <span class="top_right">
-<a href="{$file.SHOW_DEFAULT}" onclick="window.open( this.href, 'local_file', 'location=no,toolbar=no,menubar=no,status=no,resizable=yes,scrollbars=yes,width=800,height=600' ); return false;">{'locfiledit_show_default'|@translate} "{$file.FILE}"</a>
+<a href="{$file.SHOW_DEFAULT}" onclick="window.open( this.href, 'local_file', 'location=no,toolbar=no,menubar=no,status=no,resizable=yes,scrollbars=yes,width=800,height=700' ); return false;">{'locfiledit_show_default'|@translate} "{$file.FILE}"</a>
 </span>
 {if !($smarty.foreach.default_loop.last)}<br>{/if}
@@ -79,8 +89,10 @@
 <b>{$zone_edit.FILE_NAME}</b>
 
+</div> {* top bar buttons *}
+
 <textarea rows="30" cols="90" name="text" id="text">{$zone_edit.CONTENT_FILE}</textarea>
 <div id="editarea_buttons">
-<a href="javascript:loadEditarea();" id="showedit">[{'locfiledit_enable_editarea'|@translate}]</a>
-<a href="javascript:unloadEditarea();" id="hideedit">[{'locfiledit_disable_editarea'|@translate}]</a>
+<a href="javascript:loadCodemirror();" id="showedit">[{'locfiledit_enable_codemirror'|@translate}]</a>
+<a href="javascript:unloadCodemirror();" id="hideedit">[{'locfiledit_disable_codemirror'|@translate}]</a>
 </div>
 
